#!/usr/bin/env node

const { repoName, say } = require('./util.cjs');
const { initialize, cleanup, updatePackageJson } = require('./scripts.cjs');

if (!repoName || repoName === 'undefined') {
	say('💥 You must provide a project name');
	say('💡 Example: npx create-svelte-trpc awesome-project');
	process.exit(-1);
}

initialize();
updatePackageJson();
cleanup();
